Index: code/branches/pch/src/util/CRC32.h
===================================================================
--- code/branches/pch/src/util/CRC32.h	(revision 3145)
+++ code/branches/pch/src/util/CRC32.h	(revision 3146)
@@ -31,5 +31,4 @@
 
 #include "UtilPrereqs.h"
-#include <iostream>
 
 namespace orxonox
Index: code/branches/pch/src/util/Clipboard.cc
===================================================================
--- code/branches/pch/src/util/Clipboard.cc	(revision 3145)
+++ code/branches/pch/src/util/Clipboard.cc	(revision 3146)
@@ -112,5 +112,5 @@
 namespace orxonox
 {
-    std::string clipboard = ""; //!< Keeps the text of our internal clipboard
+    static std::string clipboard = ""; //!< Keeps the text of our internal clipboard
 
     /**
@@ -129,5 +129,5 @@
         @return The text
     */
-    std::string fromClipboard()
+    const std::string& fromClipboard()
     {
         return clipboard;
Index: code/branches/pch/src/util/Clipboard.h
===================================================================
--- code/branches/pch/src/util/Clipboard.h	(revision 3145)
+++ code/branches/pch/src/util/Clipboard.h	(revision 3146)
@@ -43,5 +43,4 @@
 
 #include "UtilPrereqs.h"
-
 #include <string>
 
Index: code/branches/pch/src/util/Convert.h
===================================================================
--- code/branches/pch/src/util/Convert.h	(revision 3145)
+++ code/branches/pch/src/util/Convert.h	(revision 3146)
@@ -40,6 +40,4 @@
 #include <string>
 #include <sstream>
-#include <istream>
-#include <ostream>
 #include <typeinfo>
 
Index: code/branches/pch/src/util/Debug.h
===================================================================
--- code/branches/pch/src/util/Debug.h	(revision 3145)
+++ code/branches/pch/src/util/Debug.h	(revision 3146)
@@ -63,6 +63,4 @@
 #include "UtilPrereqs.h"
 
-#include <stdio.h>
-
 #include "OutputHandler.h"
 
@@ -73,5 +71,5 @@
         @return The soft debug level
     */
-    static inline int getSoftDebugLevel()
+    inline int getSoftDebugLevel()
     {
         return OutputHandler::getSoftDebugLevel();
Index: code/branches/pch/src/util/ExprParser.cc
===================================================================
--- code/branches/pch/src/util/ExprParser.cc	(revision 3145)
+++ code/branches/pch/src/util/ExprParser.cc	(revision 3146)
@@ -35,5 +35,5 @@
 #include <cmath>
 #include <cstring>
-#include <stdlib.h>
+#include <cstdlib>
 
 // macros for easier if, else statements
Index: code/branches/pch/src/util/Math.cc
===================================================================
--- code/branches/pch/src/util/Math.cc	(revision 3145)
+++ code/branches/pch/src/util/Math.cc	(revision 3146)
@@ -35,8 +35,8 @@
 
 #include <OgrePlane.h>
+
 #include "MathConvert.h"
 #include "SubString.h"
-
-// Do not remove this include to avoid linker errors.
+// Do not remove this include, it avoids linker errors.
 #include "mbool.h"
 
Index: code/branches/pch/src/util/Math.h
===================================================================
--- code/branches/pch/src/util/Math.h	(revision 3145)
+++ code/branches/pch/src/util/Math.h	(revision 3146)
@@ -37,8 +37,6 @@
 #include "UtilPrereqs.h"
 
-#include <ostream>
 #include <string>
 #include <cmath>
-#include <boost/static_assert.hpp>
 
 #include <OgreMath.h>
@@ -46,6 +44,4 @@
 #include <OgreVector3.h>
 #include <OgreVector4.h>
-#include <OgreMatrix3.h>
-#include <OgreMatrix4.h>
 #include <OgreQuaternion.h>
 #include <OgreColourValue.h>
@@ -207,4 +203,17 @@
     template <> inline orxonox::Quaternion  zeroise<orxonox::Quaternion>()  { return orxonox::Quaternion (0, 0, 0, 0); }
 
+    //! Provides zero value symbols that can be returned as reference
+    template <typename T>
+    struct NilValue
+    {
+        inline operator const T&() const
+        {
+            return value;
+        }
+        static T value;
+    };
+    template <typename T>
+    T NilValue<T>::value = zeroise<T>();
+
     /**
         @brief Interpolates between two values for a time between 0 and 1.
@@ -215,5 +224,5 @@
     */
     template <typename T>
-    T interpolate(float time, const T& start, const T& end)
+    inline T interpolate(float time, const T& start, const T& end)
     {
         return time * (end - start) + start;
@@ -228,5 +237,5 @@
     */
     template <typename T>
-    T interpolateSmooth(float time, const T& start, const T& end)
+    inline T interpolateSmooth(float time, const T& start, const T& end)
     {
         return (-2 * (end - start) * cube(time)) + (3 * (end - start) * square(time)) + start;
@@ -273,8 +282,8 @@
     {
     public:
-      IntVector2() : x(0), y(0) { }
-      IntVector2(int _x, int _y) : x(_x), y(_y) { }
-      int x;
-      int y;
+        IntVector2() : x(0), y(0) { }
+        IntVector2(int _x, int _y) : x(_x), y(_y) { }
+        int x;
+        int y;
     };
 
@@ -282,9 +291,9 @@
     {
     public:
-      IntVector3() : x(0), y(0), z(0) { }
-      IntVector3(int _x, int _y, int _z) : x(_x), y(_y), z(_z) { }
-      int x;
-      int y;
-      int z;
+        IntVector3() : x(0), y(0), z(0) { }
+        IntVector3(int _x, int _y, int _z) : x(_x), y(_y), z(_z) { }
+        int x;
+        int y;
+        int z;
     };
 }
Index: code/branches/pch/src/util/MultiType.cc
===================================================================
--- code/branches/pch/src/util/MultiType.cc	(revision 3145)
+++ code/branches/pch/src/util/MultiType.cc	(revision 3146)
@@ -159,27 +159,27 @@
     }
 
-    MultiType::operator char()                 const { return (this->value_) ? ((this->value_->type_ == MT_char       ) ? ((MT_Value<char>                *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator unsigned char()        const { return (this->value_) ? ((this->value_->type_ == MT_uchar      ) ? ((MT_Value<unsigned char>       *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator short()                const { return (this->value_) ? ((this->value_->type_ == MT_short      ) ? ((MT_Value<short>               *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator unsigned short()       const { return (this->value_) ? ((this->value_->type_ == MT_ushort     ) ? ((MT_Value<unsigned short>      *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator int()                  const { return (this->value_) ? ((this->value_->type_ == MT_int        ) ? ((MT_Value<int>                 *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator unsigned int()         const { return (this->value_) ? ((this->value_->type_ == MT_uint       ) ? ((MT_Value<unsigned int>        *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator long()                 const { return (this->value_) ? ((this->value_->type_ == MT_long       ) ? ((MT_Value<long>                *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator unsigned long()        const { return (this->value_) ? ((this->value_->type_ == MT_ulong      ) ? ((MT_Value<unsigned long>       *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator long long()            const { return (this->value_) ? ((this->value_->type_ == MT_longlong   ) ? ((MT_Value<long long>           *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator unsigned long long()   const { return (this->value_) ? ((this->value_->type_ == MT_ulonglong  ) ? ((MT_Value<unsigned long long>  *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator float()                const { return (this->value_) ? ((this->value_->type_ == MT_float      ) ? ((MT_Value<float>               *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator double()               const { return (this->value_) ? ((this->value_->type_ == MT_double     ) ? ((MT_Value<double>              *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator long double()          const { return (this->value_) ? ((this->value_->type_ == MT_longdouble ) ? ((MT_Value<long double>         *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator bool()                 const { return (this->value_) ? ((this->value_->type_ == MT_bool       ) ? ((MT_Value<bool>                *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator void*()                const { return (this->value_) ? ((this->value_->type_ == MT_void       ) ? ((MT_Value<void*>               *)this->value_)->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator std::string()          const { return (this->value_) ? ((this->value_->type_ == MT_string     ) ? ((MT_Value<std::string>         *)this->value_)->value_ : (*this->value_)) : zeroise<std::string>();          } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::Vector2()     const { return (this->value_) ? ((this->value_->type_ == MT_vector2    ) ? ((MT_Value<orxonox::Vector2>    *)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::Vector2>();     } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::Vector3()     const { return (this->value_) ? ((this->value_->type_ == MT_vector3    ) ? ((MT_Value<orxonox::Vector3>    *)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::Vector3>();     } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::Vector4()     const { return (this->value_) ? ((this->value_->type_ == MT_vector4    ) ? ((MT_Value<orxonox::Vector4>    *)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::Vector4>();     } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::ColourValue() const { return (this->value_) ? ((this->value_->type_ == MT_colourvalue) ? ((MT_Value<orxonox::ColourValue>*)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::ColourValue>(); } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::Quaternion()  const { return (this->value_) ? ((this->value_->type_ == MT_quaternion ) ? ((MT_Value<orxonox::Quaternion> *)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::Quaternion>();  } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::Radian()      const { return (this->value_) ? ((this->value_->type_ == MT_radian     ) ? ((MT_Value<orxonox::Radian>     *)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::Radian>();      } /** @brief Returns the current value, converted to the requested type. */
-    MultiType::operator orxonox::Degree()      const { return (this->value_) ? ((this->value_->type_ == MT_degree     ) ? ((MT_Value<orxonox::Degree>     *)this->value_)->value_ : (*this->value_)) : zeroise<orxonox::Degree>();      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator char()                 const { return (this->value_) ? ((this->value_->type_ == MT_char       ) ? (static_cast<MT_Value<char>                *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator unsigned char()        const { return (this->value_) ? ((this->value_->type_ == MT_uchar      ) ? (static_cast<MT_Value<unsigned char>       *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator short()                const { return (this->value_) ? ((this->value_->type_ == MT_short      ) ? (static_cast<MT_Value<short>               *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator unsigned short()       const { return (this->value_) ? ((this->value_->type_ == MT_ushort     ) ? (static_cast<MT_Value<unsigned short>      *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator int()                  const { return (this->value_) ? ((this->value_->type_ == MT_int        ) ? (static_cast<MT_Value<int>                 *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator unsigned int()         const { return (this->value_) ? ((this->value_->type_ == MT_uint       ) ? (static_cast<MT_Value<unsigned int>        *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator long()                 const { return (this->value_) ? ((this->value_->type_ == MT_long       ) ? (static_cast<MT_Value<long>                *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator unsigned long()        const { return (this->value_) ? ((this->value_->type_ == MT_ulong      ) ? (static_cast<MT_Value<unsigned long>       *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator long long()            const { return (this->value_) ? ((this->value_->type_ == MT_longlong   ) ? (static_cast<MT_Value<long long>           *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator unsigned long long()   const { return (this->value_) ? ((this->value_->type_ == MT_ulonglong  ) ? (static_cast<MT_Value<unsigned long long>  *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator float()                const { return (this->value_) ? ((this->value_->type_ == MT_float      ) ? (static_cast<MT_Value<float>               *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator double()               const { return (this->value_) ? ((this->value_->type_ == MT_double     ) ? (static_cast<MT_Value<double>              *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator long double()          const { return (this->value_) ? ((this->value_->type_ == MT_longdouble ) ? (static_cast<MT_Value<long double>         *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator bool()                 const { return (this->value_) ? ((this->value_->type_ == MT_bool       ) ? (static_cast<MT_Value<bool>                *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator void*()                const { return (this->value_) ? ((this->value_->type_ == MT_void       ) ? (static_cast<MT_Value<void*>               *>(this->value_))->value_ : (*this->value_)) : 0;                      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator std::string()          const { return (this->value_) ? ((this->value_->type_ == MT_string     ) ? (static_cast<MT_Value<std::string>         *>(this->value_))->value_ : (*this->value_)) : NilValue<std::string>();          } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::Vector2()     const { return (this->value_) ? ((this->value_->type_ == MT_vector2    ) ? (static_cast<MT_Value<orxonox::Vector2>    *>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::Vector2>();     } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::Vector3()     const { return (this->value_) ? ((this->value_->type_ == MT_vector3    ) ? (static_cast<MT_Value<orxonox::Vector3>    *>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::Vector3>();     } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::Vector4()     const { return (this->value_) ? ((this->value_->type_ == MT_vector4    ) ? (static_cast<MT_Value<orxonox::Vector4>    *>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::Vector4>();     } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::ColourValue() const { return (this->value_) ? ((this->value_->type_ == MT_colourvalue) ? (static_cast<MT_Value<orxonox::ColourValue>*>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::ColourValue>(); } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::Quaternion()  const { return (this->value_) ? ((this->value_->type_ == MT_quaternion ) ? (static_cast<MT_Value<orxonox::Quaternion> *>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::Quaternion>();  } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::Radian()      const { return (this->value_) ? ((this->value_->type_ == MT_radian     ) ? (static_cast<MT_Value<orxonox::Radian>     *>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::Radian>();      } /** @brief Returns the current value, converted to the requested type. */
+    MultiType::operator orxonox::Degree()      const { return (this->value_) ? ((this->value_->type_ == MT_degree     ) ? (static_cast<MT_Value<orxonox::Degree>     *>(this->value_))->value_ : (*this->value_)) : NilValue<orxonox::Degree>();      } /** @brief Returns the current value, converted to the requested type. */
 
     template <> void MultiType::createNewValueContainer(const char& value)                 { this->value_ = new MT_Value<char>                (value, MT_char       ); } /** @brief Creates a new value container for the given type. */
Index: code/branches/pch/src/util/MultiType.h
===================================================================
--- code/branches/pch/src/util/MultiType.h	(revision 3145)
+++ code/branches/pch/src/util/MultiType.h	(revision 3146)
@@ -69,7 +69,11 @@
 #include "UtilPrereqs.h"
 
-#include <boost/static_assert.hpp>
-
-#include "Math.h"
+#include <cassert>
+#include <string>
+#include <OgreVector2.h>
+#include <OgreVector3.h>
+#include <OgreVector4.h>
+#include <OgreQuaternion.h>
+#include <OgreColourValue.h>
 
 namespace orxonox
@@ -441,5 +445,5 @@
             template <typename T> inline void changeValueContainer(const T& value) { if (this->value_) { delete this->value_; } this->createNewValueContainer<T>(value); }
             /** @brief Creates a new value container (works only with specialized types). */
-            template <typename T>        void createNewValueContainer(const T& value) { BOOST_STATIC_ASSERT(sizeof(T) == 0); return false; }
+            template <typename T>        void createNewValueContainer(const T& value) { /* STATIC ASSERT */ *****value; return false; }
 
             MT_ValueBase* value_; //!< A pointer to the value container
Index: code/branches/pch/src/util/MultiTypeValue.h
===================================================================
--- code/branches/pch/src/util/MultiTypeValue.h	(revision 3145)
+++ code/branches/pch/src/util/MultiTypeValue.h	(revision 3146)
@@ -38,8 +38,9 @@
 
 #include "UtilPrereqs.h"
+
+#include <cassert>
 #include "MathConvert.h"
 #include "MultiType.h"
 #include "Serialise.h"
-#include <cassert>
 
 namespace orxonox
Index: code/branches/pch/src/util/OutputBuffer.cc
===================================================================
--- code/branches/pch/src/util/OutputBuffer.cc	(revision 3145)
+++ code/branches/pch/src/util/OutputBuffer.cc	(revision 3146)
@@ -44,5 +44,5 @@
     void OutputBuffer::registerListener(OutputBufferListener* listener)
     {
-        this->listeners_.insert(this->listeners_.end(), listener);
+        this->listeners_.push_back(listener);
     }
 
@@ -53,8 +53,8 @@
     void OutputBuffer::unregisterListener(OutputBufferListener* listener)
     {
-        for (std::list<OutputBufferListener*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); )
+        for (std::vector<OutputBufferListener*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); )
         {
             if ((*it) == listener)
-                this->listeners_.erase(it++);
+                it = this->listeners_.erase(it);
             else
                 ++it;
@@ -127,5 +127,5 @@
     void OutputBuffer::callListeners()
     {
-        for (std::list<OutputBufferListener*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); ++it)
+        for (std::vector<OutputBufferListener*>::iterator it = this->listeners_.begin(); it != this->listeners_.end(); ++it)
             (*it)->outputChanged();
     }
Index: code/branches/pch/src/util/OutputBuffer.h
===================================================================
--- code/branches/pch/src/util/OutputBuffer.h	(revision 3145)
+++ code/branches/pch/src/util/OutputBuffer.h	(revision 3146)
@@ -43,9 +43,8 @@
 #define _OutputBuffer_H__
 
-#include <list>
+#include "UtilPrereqs.h"
+
+#include <vector>
 #include <sstream>
-#include <iostream>
-
-#include "UtilPrereqs.h"
 
 namespace orxonox
@@ -167,6 +166,6 @@
             void callListeners();
 
-            std::stringstream stream_;                   //!< The stringstream that stores the assigned text
-            std::list<OutputBufferListener*> listeners_; //!< A list of all listeners
+            std::stringstream stream_;                     //!< The stringstream that stores the assigned text
+            std::vector<OutputBufferListener*> listeners_; //!< A list of all listeners
     };
 }
Index: code/branches/pch/src/util/SignalHandler.cc
===================================================================
--- code/branches/pch/src/util/SignalHandler.cc	(revision 3145)
+++ code/branches/pch/src/util/SignalHandler.cc	(revision 3146)
@@ -33,9 +33,9 @@
 
 #include "SignalHandler.h"
-#include "Debug.h"
 
 #include <iostream>
 #include <cstdlib>
 #include <cstring>
+#include "Debug.h"
 
 namespace orxonox
Index: code/branches/pch/src/util/Sleep.cc
===================================================================
--- code/branches/pch/src/util/Sleep.cc	(revision 3145)
+++ code/branches/pch/src/util/Sleep.cc	(revision 3146)
@@ -43,5 +43,5 @@
     {
         if (microseconds < 1000)
-            COUT(2) << "Warning: Windows can not sleep less than 1ms, ignoring" << std::endl;
+            COUT(2) << "Warning: Windows cannot sleep less than 1ms, ignoring" << std::endl;
         Sleep(microseconds / 1000);
     }
Index: code/branches/pch/src/util/String.cc
===================================================================
--- code/branches/pch/src/util/String.cc	(revision 3145)
+++ code/branches/pch/src/util/String.cc	(revision 3146)
@@ -35,6 +35,4 @@
 
 #include <cctype>
-#include <iostream>
-
 #include "Convert.h"
 #include "Math.h"
Index: code/branches/pch/src/util/String.h
===================================================================
--- code/branches/pch/src/util/String.h	(revision 3145)
+++ code/branches/pch/src/util/String.h	(revision 3146)
@@ -36,7 +36,5 @@
 
 #include "UtilPrereqs.h"
-
 #include <string>
-#include <sstream>
 
 namespace orxonox
Index: code/branches/pch/src/util/SubString.cc
===================================================================
--- code/branches/pch/src/util/SubString.cc	(revision 3145)
+++ code/branches/pch/src/util/SubString.cc	(revision 3146)
@@ -39,5 +39,5 @@
 
 #include "SubString.h"
-#include <stdio.h>
+#include <cstdio>
 
 namespace orxonox
Index: code/branches/pch/src/util/mbool.h
===================================================================
--- code/branches/pch/src/util/mbool.h	(revision 3145)
+++ code/branches/pch/src/util/mbool.h	(revision 3146)
@@ -36,5 +36,4 @@
     struct _UtilExport mbool
     {
-//        friend Synchronisable::registerVariable<>()
         public:
             inline mbool(bool value = false)