Index: /code/branches/pch/src/core/CommandLine.h
===================================================================
--- /code/branches/pch/src/core/CommandLine.h	(revision 3148)
+++ /code/branches/pch/src/core/CommandLine.h	(revision 3149)
@@ -34,5 +34,5 @@
 #include "util/Convert.h"
 #include "util/Debug.h"
-#include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "util/MultiType.h"
 
Index: /code/branches/pch/src/core/GameState.cc
===================================================================
--- /code/branches/pch/src/core/GameState.cc	(revision 3148)
+++ /code/branches/pch/src/core/GameState.cc	(revision 3149)
@@ -34,7 +34,7 @@
 
 #include "GameState.h"
-#include <cassert>
 #include "util/Debug.h"
 #include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "Clock.h"
 
Index: /code/branches/pch/src/core/XMLPort.h
===================================================================
--- /code/branches/pch/src/core/XMLPort.h	(revision 3148)
+++ /code/branches/pch/src/core/XMLPort.h	(revision 3149)
@@ -47,4 +47,5 @@
 #include "util/Debug.h"
 #include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "util/MultiType.h"
 #include "XMLIncludes.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSClient.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSClient.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/gamestates/GSClient.cc	(revision 3149)
@@ -29,4 +29,5 @@
 #include "GSClient.h"
 
+#include "util/Exception.h"
 #include "core/input/InputManager.h"
 #include "core/Clock.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSRoot.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/gamestates/GSRoot.cc	(revision 3149)
@@ -29,5 +29,4 @@
 #include "GSRoot.h"
 
-#include "util/Exception.h"
 #include "util/Debug.h"
 #include "core/Clock.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSServer.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSServer.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/gamestates/GSServer.cc	(revision 3149)
@@ -29,4 +29,5 @@
 #include "GSServer.h"
 
+#include "util/Debug.h"
 #include "core/CommandLine.h"
 #include "core/Game.h"
Index: /code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3149)
@@ -31,5 +31,4 @@
 #include "BulletCollision/CollisionShapes/btCollisionShape.h"
 
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc	(revision 3149)
@@ -31,5 +31,4 @@
 #include "BulletCollision/CollisionShapes/btCompoundShape.h"
 
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc	(revision 3149)
@@ -31,5 +31,5 @@
 #include "BulletCollision/CollisionShapes/btCompoundShape.h"
 
-#include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "core/CoreIncludes.h"
 #include "objects/worldentities/WorldEntity.h"
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3149)
@@ -37,5 +37,4 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
 
 #include "orxonox/objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3149)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
 
 #include "orxonox/objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3149)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
 
 #include "orxonox/objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3149)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
 
 #include "orxonox/objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3149)
@@ -37,5 +37,4 @@
 #include "core/CoreIncludes.h"
 #include "core/Super.h"
-#include "util/Exception.h"
 
 #include "QuestEffect.h"
Index: /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3149)
@@ -36,5 +36,4 @@
 #include "core/CoreIncludes.h"
 #include "core/Super.h"
-#include "util/Exception.h"
 
 #include "orxonox/objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3149)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
 
 #include "orxonox/objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3149)
@@ -36,5 +36,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "util/Exception.h"
 
 #include "Quest.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3149)
@@ -38,5 +38,4 @@
 #include "core/input/InputManager.h"
 
-#include "util/Exception.h"
 #include "gui/GUIManager.h"
 #include "objects/infos/PlayerInfo.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/Backlight.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/Backlight.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/worldentities/Backlight.cc	(revision 3149)
@@ -37,5 +37,4 @@
 #include "core/XMLPort.h"
 #include "objects/Scene.h"
-#include "util/Exception.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3149)
@@ -34,5 +34,4 @@
 #include "util/Debug.h"
 #include "util/MathConvert.h"
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/StaticEntity.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/StaticEntity.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/worldentities/StaticEntity.cc	(revision 3149)
@@ -33,5 +33,5 @@
 #include "BulletDynamics/Dynamics/btRigidBody.h"
 
-#include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "core/CoreIncludes.h"
 
Index: /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 3149)
@@ -35,5 +35,5 @@
 #include "BulletDynamics/Dynamics/btRigidBody.h"
 
-#include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 3148)
+++ /code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 3149)
@@ -32,5 +32,4 @@
 
 #include "util/Math.h"
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
Index: /code/branches/pch/src/util/Exception.h
===================================================================
--- /code/branches/pch/src/util/Exception.h	(revision 3148)
+++ /code/branches/pch/src/util/Exception.h	(revision 3149)
@@ -123,12 +123,3 @@
     throw InternalHandleException(type##Exception(description, __LINE__, __FILE__, __FUNCTIONNAME__))
 
-    // define an assert macro that can display a message
-#ifndef NDEBUG
-#define OrxAssert(Assertion, ErrorMessage) \
-    Assertion ? ((void)0) : (void)(orxonox::OutputHandler::getOutStream().setOutputLevel(ORX_ERROR) << ErrorMessage << std::endl); \
-    assert(Assertion)
-#else
-#define OrxAssert(condition, errorMessage)  ((void)0)
-#endif
-
 #endif /* _Exception_H__ */
Index: /code/branches/pch/src/util/OrxAssert.h
===================================================================
--- /code/branches/pch/src/util/OrxAssert.h	(revision 3149)
+++ /code/branches/pch/src/util/OrxAssert.h	(revision 3149)
@@ -0,0 +1,52 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+@file
+@brief
+    Declaration of custom assertion facilities
+*/
+
+#ifndef _OrxAssert_H__
+#define _OrxAssert_H__
+
+#include "UtilPrereqs.h"
+
+#include <cassert>
+#include "OutputHandler.h"
+
+// define an assert macro that can display a message
+#ifndef NDEBUG
+#define OrxAssert(Assertion, ErrorMessage) \
+    Assertion ? ((void)0) : (void)(orxonox::OutputHandler::getOutStream().setOutputLevel(ORX_ERROR) << ErrorMessage << std::endl); \
+    assert(Assertion)
+#else
+#define OrxAssert(condition, errorMessage)  ((void)0)
+#endif
+
+#endif /* _OrxAssert_H__ */