Index: code/branches/pch/src/orxonox/CameraManager.cc
===================================================================
--- code/branches/pch/src/orxonox/CameraManager.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/CameraManager.cc	(revision 3154)
@@ -34,5 +34,5 @@
 #include "util/String.h"
 #include "core/GameMode.h"
-#include "core/Iterator.h"
+#include "core/ObjectList.h"
 #include "tools/Shader.h"
 #include "objects/worldentities/Camera.h"
Index: code/branches/pch/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3154)
@@ -148,12 +148,12 @@
         if (show)
         {
-            GUIManager::getInstancePtr()->showGUI("inGameTest");
-            GUIManager::getInstancePtr()->executeCode("showCursor()");
+            GUIManager::getInstance().showGUI("inGameTest");
+            GUIManager::getInstance().executeCode("showCursor()");
             InputManager::getInstance().requestEnterState("guiMouseOnly");
         }
         else
         {
-            GUIManager::getInstancePtr()->executeCode("hideGUI(\"inGameTest\")");
-            GUIManager::getInstancePtr()->executeCode("hideCursor()");
+            GUIManager::getInstance().executeCode("hideGUI(\"inGameTest\")");
+            GUIManager::getInstance().executeCode("hideCursor()");
             InputManager::getInstance().requestLeaveState("guiMouseOnly");
         }
Index: code/branches/pch/src/orxonox/objects/Radar.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Radar.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/objects/Radar.cc	(revision 3154)
@@ -37,5 +37,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConsoleCommand.h"
-#include "core/Iterator.h"
+#include "core/ObjectList.h"
 #include "RadarListener.h"
 
Index: code/branches/pch/src/orxonox/objects/Radar.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Radar.h	(revision 3153)
+++ code/branches/pch/src/orxonox/objects/Radar.h	(revision 3154)
@@ -39,5 +39,5 @@
 #include <map>
 #include <string>
-#include "core/Iterator.h"
+#include "core/ObjectList.h"
 #include "core/OrxonoxClass.h"
 #include "objects/Tickable.h"
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.cc	(revision 3154)
@@ -34,5 +34,5 @@
 #include "core/Executor.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Iterator.h"
+#include "core/ObjectList.h"
 #include "tools/ParticleInterface.h"
 
Index: code/branches/pch/src/orxonox/objects/worldentities/Camera.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/Camera.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/objects/worldentities/Camera.cc	(revision 3154)
@@ -37,4 +37,5 @@
 
 #include "util/Exception.h"
+#include "util/String.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
Index: code/branches/pch/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/OverlayGroup.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/overlays/OverlayGroup.cc	(revision 3154)
@@ -37,5 +37,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/Iterator.h"
+#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 #include "OrxonoxOverlay.h"
Index: code/branches/pch/src/orxonox/overlays/map/Map.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/map/Map.cc	(revision 3153)
+++ code/branches/pch/src/orxonox/overlays/map/Map.cc	(revision 3154)
@@ -31,4 +31,5 @@
 #include <OgreBorderPanelOverlayElement.h>
 #include <OgreCamera.h>
+#include <OgreEntity.h>
 #include <OgreHardwarePixelBuffer.h>
 #include <OgreMaterialManager.h>
@@ -50,5 +51,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/Iterator.h"
+#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 #include "objects/Scene.h"
@@ -265,5 +266,5 @@
     }
 
-    Ogre::MaterialPtr Map::createRenderCamera(Ogre::Camera * cam, std::string matName)
+    Ogre::MaterialPtr Map::createRenderCamera(Ogre::Camera * cam, const std::string& matName)
     {
         Ogre::TexturePtr rttTex = Ogre::TextureManager::getSingleton().createManual(matName+"_tex", Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME, Ogre::TEX_TYPE_2D, 512, 512, 0, Ogre::PF_R8G8B8, Ogre::TU_RENDERTARGET);
Index: code/branches/pch/src/orxonox/overlays/map/Map.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/map/Map.h	(revision 3153)
+++ code/branches/pch/src/orxonox/overlays/map/Map.h	(revision 3154)
@@ -30,5 +30,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include <OgreMaterial.h>
 
@@ -50,5 +49,5 @@
         virtual void changedOwner();
 
-        static Ogre::MaterialPtr createRenderCamera(Ogre::Camera * cam, std::string matName);
+        static Ogre::MaterialPtr createRenderCamera(Ogre::Camera * cam, const std::string& matName);
 
         static void openMap();