Index: code/branches/pch/src/core/BaseObject.h
===================================================================
--- code/branches/pch/src/core/BaseObject.h	(revision 3155)
+++ code/branches/pch/src/core/BaseObject.h	(revision 3156)
@@ -53,5 +53,4 @@
 #include "OrxonoxClass.h"
 #include "Super.h"
-#include "XMLIncludes.h"
 
 namespace orxonox
Index: code/branches/pch/src/core/Core.h
===================================================================
--- code/branches/pch/src/core/Core.h	(revision 3155)
+++ code/branches/pch/src/core/Core.h	(revision 3156)
@@ -44,12 +44,4 @@
 #include "OrxonoxClass.h"
 #include "util/OutputHandler.h"
-
-// boost::filesystem header has quite a large tail, use forward declaration
-namespace boost { namespace filesystem
-{
-    struct path_traits;
-    template<class String, class Traits> class basic_path;
-    typedef basic_path< std::string, path_traits> path;
-} }
 
 namespace orxonox
Index: code/branches/pch/src/core/CorePrereqs.h
===================================================================
--- code/branches/pch/src/core/CorePrereqs.h	(revision 3155)
+++ code/branches/pch/src/core/CorePrereqs.h	(revision 3156)
@@ -195,3 +195,46 @@
 }
 
+// Boost
+namespace boost { namespace filesystem
+{
+    struct path_traits;
+    template <class String, class Traits> class basic_path;
+    typedef basic_path<std::string, path_traits> path;
+} }
+
+// TinyXML and TinyXML++
+class TiXmlString;
+class TiXmlOutStream;
+class TiXmlNode;
+class TiXmlHandle;
+class TiXmlDocument;
+class TiXmlElement;
+class TiXmlComment;
+class TiXmlUnknown;
+class TiXmlAttribute;
+class TiXmlText;
+class TiXmlDeclaration;
+class TiXmlParsingData;
+namespace ticpp
+{
+    class Document;
+    class Element;
+    class Declaration;
+    class StylesheetReference;
+    class Text;
+    class Comment;
+    class Attribute;
+}
+namespace orxonox
+{
+    using ticpp::Document;
+    using ticpp::Element;
+    using ticpp::Declaration;
+    using ticpp::StylesheetReference;
+    using ticpp::Text;
+    using ticpp::Comment;
+    using ticpp::Attribute;
+}
+
+
 #endif /* _CorePrereqs_H__ */
Index: code/branches/pch/src/core/Namespace.h
===================================================================
--- code/branches/pch/src/core/Namespace.h	(revision 3155)
+++ code/branches/pch/src/core/Namespace.h	(revision 3156)
@@ -34,5 +34,4 @@
 #include <set>
 #include <string>
-#include "XMLIncludes.h"
 #include "BaseObject.h"
 
Index: code/branches/pch/src/core/Super.h
===================================================================
--- code/branches/pch/src/core/Super.h	(revision 3155)
+++ code/branches/pch/src/core/Super.h	(revision 3156)
@@ -70,5 +70,4 @@
 
 #include "util/Debug.h"
-#include "XMLIncludes.h"
 #include "Event.h"
 
Index: code/branches/pch/src/core/XMLIncludes.h
===================================================================
--- code/branches/pch/src/core/XMLIncludes.h	(revision 3155)
+++ 	(revision )
@@ -1,73 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file
-    @brief Forward declarations of some XML classes.
-*/
-
-#include "CorePrereqs.h"
-
-//-----------------------------------------------------------------------
-// Forward declarations
-//-----------------------------------------------------------------------
-
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
-
-namespace ticpp
-{
-    class Document;
-    class Element;
-    class Declaration;
-    class StylesheetReference;
-    class Text;
-    class Comment;
-    class Attribute;
-}
-
-namespace orxonox
-{
-    using ticpp::Document;
-    using ticpp::Element;
-    using ticpp::Declaration;
-    using ticpp::StylesheetReference;
-    using ticpp::Text;
-    using ticpp::Comment;
-    using ticpp::Attribute;
-}
Index: code/branches/pch/src/core/XMLPort.h
===================================================================
--- code/branches/pch/src/core/XMLPort.h	(revision 3155)
+++ code/branches/pch/src/core/XMLPort.h	(revision 3156)
@@ -54,5 +54,4 @@
 #include "Executor.h"
 #include "BaseObject.h"
-#include "XMLIncludes.h"
 
 // ------------
Index: code/branches/pch/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/pch/src/orxonox/OrxonoxPrereqs.h	(revision 3155)
+++ code/branches/pch/src/orxonox/OrxonoxPrereqs.h	(revision 3156)
@@ -299,4 +299,5 @@
 namespace CEGUI
 {
+    class DefaultLogger;
     class LuaScriptModule;
 
@@ -307,5 +308,4 @@
 
 // Bullet Physics Engine
-
 class btTransform;
 class btVector3;
@@ -327,5 +327,11 @@
 class btSequentialImpulseConstraintSolver;
 
-// lua
+// ALUT
+typedef struct ALCcontext_struct ALCcontext;
+typedef struct ALCdevice_struct ALCdevice;
+typedef unsigned int ALuint;
+typedef int ALint;
+
+// Lua
 struct lua_State;
 
Index: code/branches/pch/src/orxonox/gui/GUIManager.h
===================================================================
--- code/branches/pch/src/orxonox/gui/GUIManager.h	(revision 3155)
+++ code/branches/pch/src/orxonox/gui/GUIManager.h	(revision 3156)
@@ -45,7 +45,4 @@
 
 #include "core/input/InputInterfaces.h"
-
-// Forward declaration
-namespace CEGUI { class DefaultLogger; }
 
 // tolua_begin
Index: code/branches/pch/src/orxonox/sound/SoundBase.h
===================================================================
--- code/branches/pch/src/orxonox/sound/SoundBase.h	(revision 3155)
+++ code/branches/pch/src/orxonox/sound/SoundBase.h	(revision 3156)
@@ -30,9 +30,4 @@
 
 #include "OrxonoxPrereqs.h"
-#include <string>
-
-// forward declarations
-typedef unsigned int ALuint;
-typedef int ALint;
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/sound/SoundManager.h
===================================================================
--- code/branches/pch/src/orxonox/sound/SoundManager.h	(revision 3155)
+++ code/branches/pch/src/orxonox/sound/SoundManager.h	(revision 3156)
@@ -33,8 +33,4 @@
 #include "orxonox/objects/Tickable.h"
 
-// forward declarations
-typedef struct ALCcontext_struct ALCcontext;
-typedef struct ALCdevice_struct ALCdevice;
-
 namespace orxonox
 {