Index: code/branches/pch/src/orxonox/overlays/notifications/Notification.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/Notification.cc	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/Notification.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file Notification.cc
+    @file
     @brief Implementation of the Notification class.
 */
Index: code/branches/pch/src/orxonox/overlays/notifications/Notification.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/Notification.h	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/Notification.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file Notification.h
+    @file
     @brief Definition of the Notification class.
 */
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationManager.cc
+    @file
     @brief Implementation of the NotificationManager class.
 */
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationManager.h
+    @file
     @brief Definition of the NotificationManager class.
 */
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationOverlay.cc
+    @file
     @brief Implementation of the NotificationOverlay class.
 */
@@ -127,5 +127,5 @@
         Clips the input message so that it meets the requirements for the maximal length of Notifications given by the NotificationQueue.
     */
-    const std::string NotificationOverlay::clipMessage(const std::string & message)
+    std::string NotificationOverlay::clipMessage(const std::string & message)
     {
         if(message.length() <= (unsigned int)this->queue_->getNotificationLength()) //!< If the message is not too long.
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationOverlay.h
+    @file
     @brief Definition of the NotificationOverlay class.
 */
@@ -68,5 +68,5 @@
         
         protected:
-            const std::string clipMessage(const std::string & message); //!< Clips the input message if too long.
+            std::string clipMessage(const std::string & message); //!< Clips the input message if too long.
 
         private:
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationQueue.cc
+    @file
     @brief Implementation of the NotificationQueue class.
 */
Index: code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h
===================================================================
--- code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 3144)
+++ code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationQueue.h
+    @file
     @brief Definition of the NotificationQueue class.
 */