Index: code/branches/pch/src/orxonox/objects/Scene.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Scene.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/Scene.cc	(revision 3164)
@@ -34,8 +34,8 @@
 #include <OgreSceneNode.h>
 
-#include "BulletCollision/BroadphaseCollision/btAxisSweep3.h"
-#include "BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h"
-#include "BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.h"
-#include "BulletDynamics/Dynamics/btDiscreteDynamicsWorld.h"
+#include <BulletCollision/BroadphaseCollision/btAxisSweep3.h>
+#include <BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h>
+#include <BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.h>
+#include <BulletDynamics/Dynamics/btDiscreteDynamicsWorld.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "BoxCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btBoxShape.h"
+#include <BulletCollision/CollisionShapes/btBoxShape.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "CollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btCollisionShape.h"
+#include <BulletCollision/CollisionShapes/btCollisionShape.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "CompoundCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btCompoundShape.h"
+#include <BulletCollision/CollisionShapes/btCompoundShape.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "ConeCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btConeShape.h"
+#include <BulletCollision/CollisionShapes/btConeShape.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "PlaneCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btStaticPlaneShape.h"
+#include <BulletCollision/CollisionShapes/btStaticPlaneShape.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "SphereCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btSphereShape.h"
+#include <BulletCollision/CollisionShapes/btSphereShape.h>
 
 #include "core/CoreIncludes.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "WorldEntityCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btCompoundShape.h"
+#include <BulletCollision/CollisionShapes/btCompoundShape.h>
 
 #include "util/OrxAssert.h"
Index: code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3164)
@@ -30,5 +30,5 @@
 
 #include <OgreSceneNode.h>
-#include "BulletDynamics/Dynamics/btRigidBody.h"
+#include <BulletDynamics/Dynamics/btRigidBody.h>
 
 #include "util/Debug.h"
Index: code/branches/pch/src/orxonox/objects/worldentities/StaticEntity.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/StaticEntity.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/worldentities/StaticEntity.cc	(revision 3164)
@@ -31,5 +31,5 @@
 
 #include <OgreSceneNode.h>
-#include "BulletDynamics/Dynamics/btRigidBody.h"
+#include <BulletDynamics/Dynamics/btRigidBody.h>
 
 #include "util/OrxAssert.h"
Index: code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 3164)
@@ -33,5 +33,5 @@
 #include <OgreSceneNode.h>
 #include <OgreSceneManager.h>
-#include "BulletDynamics/Dynamics/btRigidBody.h"
+#include <BulletDynamics/Dynamics/btRigidBody.h>
 #include <boost/static_assert.hpp>
 
Index: code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h	(revision 3164)
@@ -33,10 +33,10 @@
 #include "OrxonoxPrereqs.h"
 
-#ifdef NDEBUG
+#if def NDEBUG
 #include <OgreSceneNode.h>
 #else
 #include <OgrePrerequisites.h>
 #endif
-#include "LinearMath/btMotionState.h"
+#include <LinearMath/btMotionState.h>
 
 #include "util/Math.h"
@@ -443,5 +443,5 @@
 
     // Inline heavily used functions for release builds. In debug, we better avoid including OgreSceneNode here.
-#ifdef NDEBUG
+#if def NDEBUG
     inline const Vector3& WorldEntity::getPosition() const
         { return this->node_->getPosition(); }
Index: code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 3164)
@@ -29,5 +29,5 @@
 #include "SpaceShip.h"
 
-#include "BulletDynamics/Dynamics/btRigidBody.h"
+#include <BulletDynamics/Dynamics/btRigidBody.h>
 
 #include "util/Math.h"
Index: code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.h
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.h	(revision 3163)
+++ code/branches/pch/src/orxonox/objects/worldentities/pawns/SpaceShip.h	(revision 3164)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "LinearMath/btVector3.h"
+#include <LinearMath/btVector3.h>
 
 #include "Pawn.h"
Index: code/branches/pch/src/orxonox/overlays/OverlayText.cc
===================================================================
--- code/branches/pch/src/orxonox/overlays/OverlayText.cc	(revision 3163)
+++ code/branches/pch/src/orxonox/overlays/OverlayText.cc	(revision 3164)
@@ -162,9 +162,9 @@
     void OverlayText::setAlignment(OverlayText::Alignment alignment)
     {
-        this->text_->setAlignment((Ogre::TextAreaOverlayElement::Alignment)alignment);
+        this->text_->setAlignment(static_cast<Ogre::TextAreaOverlayElement::Alignment>(alignment));
     }
     OverlayText::Alignment OverlayText::getAlignment() const
     {
-        return (OverlayText::Alignment)this->text_->getAlignment();
+        return static_cast<OverlayText::Alignment>(this->text_->getAlignment());
     }
 }
Index: code/branches/pch/src/orxonox/tools/BulletConversions.h
===================================================================
--- code/branches/pch/src/orxonox/tools/BulletConversions.h	(revision 3163)
+++ code/branches/pch/src/orxonox/tools/BulletConversions.h	(revision 3164)
@@ -34,6 +34,6 @@
 #include "util/Convert.h"
 #include "util/Math.h"
-#include "LinearMath/btQuaternion.h"
-#include "LinearMath/btVector3.h"
+#include <LinearMath/btQuaternion.h>
+#include <LinearMath/btVector3.h>
 
 namespace orxonox